Bug 1314415 - [abrt] laditools: __init__.py:481:_get_mixins_:TypeError: issubclass() arg 1 must be a class
[abrt] laditools: __init__.py:481:_get_mixins_:TypeError: issubclass() arg 1 ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: laditools (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c40ed9c8f57f3657cdf5a7889aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 09:30 EST by Thom Carlin
Modified: 2016-12-20 14:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1406534 (view as bug list)
Environment:
Last Closed: 2016-12-20 14:13:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.20 KB, text/plain)
2016-03-03 09:30 EST, Thom Carlin
no flags Details
File: environ (5.13 KB, text/plain)
2016-03-03 09:30 EST, Thom Carlin
no flags Details

  None (edit)
Description Thom Carlin 2016-03-03 09:30:31 EST
Version-Release number of selected component:
laditools-1.0.1-10.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python /usr/bin/ladi-control-center
dso_list:       python-enum34-1.0.4-2.fc23.noarch
executable:     /usr/bin/ladi-control-center
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:481:_get_mixins_:TypeError: issubclass() arg 1 must be a class

Traceback (most recent call last):
  File "/usr/bin/ladi-control-center", line 28, in <module>
    from laditools import _gettext_domain
  File "/usr/lib/python2.7/site-packages/laditools/__init__.py", line 26, in <module>
    from .ladish import LadishProxy, LadishStatusType, LadishProxyError, check_ladish
  File "/usr/lib/python2.7/site-packages/laditools/ladish.py", line 33, in <module>
    "STUDIO_RUNNING")
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 332, in __call__
    return cls._create_(value, names, module=module, type=type)
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 447, in _create_
    enum_class = metacls.__new__(metacls, class_name, bases, classdict)
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 161, in __new__
    member_type, first_enum = metacls._get_mixins_(bases)
  File "/usr/lib/python2.7/site-packages/enum/__init__.py", line 481, in _get_mixins_
    issubclass(base, Enum) and
TypeError: issubclass() arg 1 must be a class

Local variables in innermost frame:
bases: ('STUDIO_RUNNING', <enum 'Enum'>)
base: 'STUDIO_RUNNING'
first_enum: None
member_type: None

Potential duplicate: bug 1230785
Comment 1 Thom Carlin 2016-03-03 09:30:34 EST
Created attachment 1132809 [details]
File: backtrace
Comment 2 Thom Carlin 2016-03-03 09:30:35 EST
Created attachment 1132810 [details]
File: environ
Comment 3 Stephen 2016-09-19 22:30:35 EDT
Still broken in Fedora 24 - from this package's other bugs it looks like this has been broken for several releases... is there no active maintainer for this?
Comment 4 Fedora End Of Life 2016-11-24 10:54:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Stephen 2016-12-17 07:11:41 EST
Clearly this package is unmaintained. Still happens in F25.
Comment 6 Fedora End Of Life 2016-12-20 14:13:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.